PropertiesPerso

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class PropertiesPerso

    java.lang.Object
      chkoba.PropertiesPerso

    public class PropertiesPerso

extends java.lang.Object

Classe PropertiesPerso

Constructor Summary
`PropertiesPerso()`

Method Summary
`void` | `displayProperties(java.util.Properties props)` Cette methode affiche chaque paire [cle,valeur] d'un fichier Properties
`java.util.Properties` | `loadProperties()` Cette methode lit un fichier Properties a l'emplacement specifie
`void` | `saveProperties(java.util.Properties props)` Cette methode stocke le fichier Properties a l'emplacement specifie

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesPerso

    public PropertiesPerso()

Method Detail

### saveProperties

    public void saveProperties(java.util.Properties props)
                        throws java.io.FileNotFoundException,
                               java.io.IOException

  Cette methode stocke le fichier Properties a l'emplacement specifie

  Parameters:
    `props` - Le fichier a stocker
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException` - si une erreur est survenue lors de l'ecriture du fichier

### loadProperties

    public java.util.Properties loadProperties()
                                        throws java.io.FileNotFoundException,
                                               java.io.IOException

  Cette methode lit un fichier Properties a l'emplacement specifie

  Returns:
    Le fichier Properties charge
  Throws:
    `java.io.FileNotFoundException` - si le fichier n'a pas ete trouve
    `java.io.IOException` - si une erreur est survenue durant la lecture

### displayProperties

    public void displayProperties(java.util.Properties props)

  Cette methode affiche chaque paire [cle,valeur] d'un fichier Properties

  Parameters:
    `props` - Le fichier a afficher

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD